Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Mar 2016 17:03:24 +0100

Dmitry Gutov <[email-masked]> writes:

> On 03/21/2016 05:46 PM, Michael Albinus wrote:
>
>> Tramp doesn't know in advance whether it has sufficient credentials for
>> a given connection. Therefore, it is only about whether Tramp shall open
>> a new connection. Asking for the credentials is the user visible part of
>> opening a new connection.
>
> Then it shouldn't open a new connection, I guess. Or somehow abort as
> soon as it finds out that it doesn't have the sufficient credentials.

The latter does not make sense. Starting with "ssh -l user host" and
then aborting due to a missing password is nonsense. More serious, it
could be regarded as attack by the server we try to connect. After
several such attempts (every time you are in file name completion and
must abort due to the missing credentials), the server shall blacklist us.

The first case makes more sense. Once non-essential is non-nil, Tramp
does not open a new connection until it is obvious that the user wants
this. The indication is a slash in the local file name part.

Best regards, Michael.